### Method

# Camel Folder transfer_messages_to_finish

since: 3.0

#### Declaration [src]

    gboolean
    camel_folder_transfer_messages_to_finish (
      CamelFolder* source,
      GAsyncResult* result,
      GPtrArray** transferred_uids,
      GError** error
    )

#### Description [src]

Finishes the operation started with camel_folder_transfer_messages_to().

Available since: 3.0

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the method.

`transferred_uids`

  Type: An array of `utf8`

  If non-`NULL`, the UIDs of the resulting messages in `destination` will be stored here, if known.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data container, but not the data inside it.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.